Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.server.api.rmi
Interface RemoteReportInfo

All Superinterfaces:
  java.rmi.Remote

    public interface RemoteReportInfo

extends java.rmi.Remote

Interface `RemoteReportInfo` contains the information of a report on server.

Method Summary
`boolean` | `canExportDHTMLResult()` Deprecated. Need to set The status of reports, which can be `APIConst.RPT_STATUS_CURRENT, APIConst.RPT_STATUS_OPEN` and `APIConst.RPT_STATUS_ALL`. Or else server will use `APIConst.RPT_STATUS_ALL` by default.
`boolean` | `canExportDHTMLResult(int status)` Checks if the report can export to DHTML result(.rsd result), whose type of result can re-run as DHTML.
`java.lang.String[]` | `getAllDataSource()` Deprecated. Need to set The status of reports, which can be `APIConst.RPT_STATUS_CURRENT, APIConst.RPT_STATUS_OPEN` and `APIConst.RPT_STATUS_ALL`. Or else server will use `APIConst.RPT_STATUS_ALL` by default.
`java.lang.String[]` | `getAllDataSource(int status)` Gets all of the data source names used in a report.
`java.util.Vector` | `getAvailableGroupFields()` Deprecated. You don't need to replace value options with available group fields when parameter is column. Example: You can comment out the line in getRptDescPage.jsp like
                                    //Vector grpCols = rptInfo.getAvailableGroupFields();
And you have to modify the Java code in getRptDescPage.jsp from
     <%
                            if (desc.isColumn() && grpCols != null) {
     %>
                            <select name="<%= APIConst.TAG_PARAM_PREFIX + desc.getName()%>" size="1">
     <%               int sz1 = grpCols.size();
                            for (int i1 = 0; i1 < sz1; i1++) {
                                    String s = (String)grpCols.elementAt(i1);
to become
     <%
                            if (desc.isColumn() ) {
     %>
                            <select name="<%= APIConst.TAG_PARAM_PREFIX + desc.getName()%>" size="1">
     <%               Vector v = desc.getValueOptions(Locale.getDefault());
                            int sz1 = v.size();
                            for (int i1 = 0; i1 < sz1; i1++) {
                                    String s = (String)v.elementAt(i1);
`java.util.Vector` | `getAvailableLanguages()` Deprecated. Need to set The status of reports, which can be `APIConst.RPT_STATUS_CURRENT, APIConst.RPT_STATUS_OPEN` and `APIConst.RPT_STATUS_ALL`. Or else server will use `APIConst.RPT_STATUS_ALL` by default.
`java.util.Vector` | `getAvailableLanguages(int status)` Gets all of the languages that are supported in the current report.
`java.util.Vector` | `getBooleanColumns()` Returns boolean value fields of the report.
`RemoteReportSheetInfo` | `getCurrentReportSheet()` Deprecated. Needs to set The status of reports, which can be `APIConst.RPT_STATUS_CURRENT, APIConst.RPT_STATUS_OPEN` and `APIConst.RPT_STATUS_ALL`. Or else server will use `APIConst.RPT_STATUS_ALL` by default.
`RemoteReportSheetInfo` | `getCurrentReportSheet(int status)` Returns the current report sheet info.
`java.lang.String` | `getDefaultStyleGroupName()` Deprecated. Needs to set the status of reports, which can be `APIConst.RPT_STATUS_CURRENT, APIConst.RPT_STATUS_OPEN` and `APIConst.RPT_STATUS_ALL`. Or else server will use `APIConst.RPT_STATUS_ALL` as default.
`java.lang.String` | `getDefaultStyleGroupName(int status)` Gets default style group name.
`java.util.Vector` | `getOrderOfParams()` Deprecated. Needs to set the status of reports, which can be `APIConst.RPT_STATUS_CURRENT, APIConst.RPT_STATUS_OPEN` and `APIConst.RPT_STATUS_ALL`. Or else server will use `APIConst.RPT_STATUS_ALL` by default.
`java.util.Vector` | `getOrderOfParams(int status)` Returns the order of parameters in the report.
`java.util.List<RemoteParamInfo>` | `getOriginalParamInfos(java.util.List<java.lang.String> rptSheets, java.util.Map paramChangeProp)` Returns the original parameters of this report.
`java.lang.String` | `getParamEngineId()` Deprecated. Needs to set The status of reports, which can be `APIConst.RPT_STATUS_CURRENT, APIConst.RPT_STATUS_OPEN` and `APIConst.RPT_STATUS_ALL`. Or else server will use `APIConst.RPT_STATUS_ALL` by default.
`java.lang.String` | `getParamEngineId(int status)` Returns the ID of engine which generates parameters.
`java.util.Vector` | `getParamInfos()` Deprecated. Needs to set The status of reports, can be `APIConst.RPT_STATUS_CURRENT, APIConst.RPT_STATUS_OPEN` and `APIConst.RPT_STATUS_ALL`, or else server will use `APIConst.RPT_STATUS_ALL` by default.
`java.util.Vector` | `getParamInfos(int status)` Returns parameters of the report.
`java.util.List<RemoteParamInfo>` | `getParamInfos(java.util.List<java.lang.String> rptSheets, java.util.Map paramChangeProp)` Returns parameters of the report.
`java.util.Vector` | `getParamInfosByParam(java.lang.String paramName, java.lang.String value, java.lang.String paramEngineId)` Returns parameters of the report according to the name and the value of the specified parameter.
`java.util.Vector` | `getParamInfosByParam(java.lang.String paramName, java.lang.String value, java.lang.String paramEngineId, int status)` Returns parameters of the report according to the name and the value of the specified parameter.
`java.util.Vector` | `getParamInfosByValue(java.lang.String paramName, java.lang.String[] values, java.lang.String paramEngineId, int status)` Returns parameters of the report according to the name and value of the specified parameter.
`java.util.Vector` | `getParamInfosByValue(java.lang.String paramName, java.lang.String value, java.lang.String paramEngineId)` Returns parameters of the report according to the name and value of the specified parameter.
`java.util.Vector` | `getParamInfosByValue(java.lang.String paramName, java.lang.String value, java.lang.String paramEngineId, int status)` Returns parameters of the report according to the name and value of the specified parameter.
`java.util.Vector<CRDInfoKey>` | `getQueryInfos()` Returns all queries that are used in the report info.
`java.util.Vector` | `getReportFontFiles()` Gets font file names of a report.
`java.util.Vector` | `getReportImageFiles()` Gets image file names of a report.
`java.util.Vector` | `getReportSheetInfos()` Deprecated. Needs to set the status of reports, which can be `APIConst.RPT_STATUS_CURRENT, APIConst.RPT_STATUS_OPEN` and `APIConst.RPT_STATUS_ALL`, or else server will use `APIConst.RPT_STATUS_ALL` by default.
`java.util.Vector` | `getReportSheetInfos(int status)` Returns information of report sheets in the report.
`java.util.Vector` | `getReportSubreports()` Gets subreport names of a report.
`java.util.Map` | `getSheetParamNames(int status)` Returns all sheets and their parameters relation Map.
`java.util.Vector` | `getStyleGroupInfos()` Deprecated. Needs to set the status of reports, which can be `APIConst.RPT_STATUS_CURRENT, APIConst.RPT_STATUS_OPEN` and `APIConst.RPT_STATUS_ALL`. Or else server will use `APIConst.RPT_STATUS_ALL` by default.
`java.util.Vector` | `getStyleGroupInfos(int status)` Returns style group of the report.
`boolean` | `hasPageSecurity()` Deprecated. Needs to set the status of reports, which can be `APIConst.RPT_STATUS_CURRENT, APIConst.RPT_STATUS_OPEN` and `APIConst.RPT_STATUS_ALL`. Or else server will use `APIConst.RPT_STATUS_ALL` by default.
`boolean` | `hasPageSecurity(int status)` Checks if the report has page security.
`boolean` | `hasReportParam()` Deprecated. Needs to set The status of reports, which can be `APIConst.RPT_STATUS_CURRENT, APIConst.RPT_STATUS_OPEN` and `APIConst.RPT_STATUS_ALL`, or server will use `APIConst.RPT_STATUS_ALL` by default.
`boolean` | `hasReportParam(int status)` Checks whether any sheets in the report have parameters.
`boolean` | `isPortletPreferred()` Checks if the report contains only one report sheet and if report sheet is portlet preferred.
`void` | `removeParamEngineById(java.lang.String paramEngineId)` Removes engine object according to the ID of engine which generates parameters.
`java.lang.String` | `validateParameter(int status, java.util.Properties taskProp)` Checks parameters validation.

Method Detail

### getReportSheetInfos

    java.util.Vector getReportSheetInfos()
                                         throws java.rmi.RemoteException

  Deprecated. Needs to set the status of reports, which can be `APIConst.RPT_STATUS_CURRENT, APIConst.RPT_STATUS_OPEN` and `APIConst.RPT_STATUS_ALL`, or else server will use `APIConst.RPT_STATUS_ALL` by default.

  Returns information of report sheets in the report.

  Returns:
    information of report sheets in the report. The `Vector` contains`ReportSheetInfo` objects.
  Throws:
    `java.rmi.RemoteException` - If communication-related error occurs during RMI call execution or not.
  See Also:
    `RemoteReportSheetInfo`

### getReportSheetInfos

    java.util.Vector getReportSheetInfos(int status)
                                         throws java.rmi.RemoteException

  Returns information of report sheets in the report.

  Parameters:
    `status` - The status of reports, can be `APIConst.RPT_STATUS_CURRENT, APIConst.RPT_STATUS_OPEN` and `APIConst.RPT_STATUS_ALL`.
  Returns:
    information of report sheets in the report. The `vector` contains `RemoteReportSheetInfo` objects.
  Throws:
    `java.rmi.RemoteException` - If communication-related error occurs during RMI call execution or not.
  See Also:
    `RemoteReportSheetInfo`

### getParamInfos

    java.util.Vector getParamInfos()
                                   throws java.rmi.RemoteException

  Deprecated. Needs to set The status of reports, can be `APIConst.RPT_STATUS_CURRENT, APIConst.RPT_STATUS_OPEN` and `APIConst.RPT_STATUS_ALL`, or else server will use `APIConst.RPT_STATUS_ALL` by default.

  Returns parameters of the report.

  Returns:
    parameters of the report. The `vector` contains `RemoteParamInfo` objects.
  Throws:
    `java.rmi.RemoteException` - If communication-related error occurs during RMI call execution or not.
  See Also:
    `RemoteParamInfo`

### getParamInfos

    java.util.Vector getParamInfos(int status)
                                   throws java.rmi.RemoteException

  Returns parameters of the report.

  Parameters:
    `status` - The status of reports, can be `APIConst.RPT_STATUS_CURRENT, APIConst.RPT_STATUS_OPEN` and `APIConst.RPT_STATUS_ALL`.
  Returns:
    parameters of the report. The `vector` contains `RemoteParamInfo` objects.
  Throws:
    `java.rmi.RemoteException` - If communication-related error occurs during RMI call execution or not.
  See Also:
    `RemoteParamInfo`

### getParamInfos

    java.util.List<RemoteParamInfo> getParamInfos(java.util.List<java.lang.String> rptSheets,
                                                  java.util.Map paramChangeProp)
                                                  throws java.rmi.RemoteException

  Returns parameters of the report.

  Parameters:
    `rptSheets` - Names of report sheets.
    `paramChangeProp` - The properties about param(s) change info.
  Returns:
    parameters of the report. The `vector` contains `ParamInfo` objects.
  Throws:
    `java.rmi.RemoteException` - If communication-related error occurs during RMI call execution or not.

### getOriginalParamInfos

    java.util.List<RemoteParamInfo> getOriginalParamInfos(java.util.List<java.lang.String> rptSheets,
                                                          java.util.Map paramChangeProp)
                                                          throws RptServerException,
                                                                 java.rmi.RemoteException

  Returns the original parameters of this report.

  Parameters:
    `rptSheets` - the report sheets names
    `paramChangeProp` - the property about parameter(s) changing information
  Returns:
    the original parameters of this report.
  Throws:
    `RptServerException`
    `java.rmi.RemoteException` - If communication-related error occurs during RMI call execution or not.

### getParamInfosByParam

    java.util.Vector getParamInfosByParam(java.lang.String paramName,
                                          java.lang.String value,
                                          java.lang.String paramEngineId)
                                          throws java.rmi.RemoteException

  Returns parameters of the report according to the name and the value of the specified parameter. If the value is null, it applies the default value of the specified parameter. If the name is null, the method will return all first level parameters. If there are no other parameters depending on the specified parameter, the method will return all first level parameters. Otherwise it will return all parameters that depend on the specified parameter.

  Parameters:
    `param` - The parameter name.
    `value` - The value of the parameter.
    `paramEngineId` - The ID of engine that generates parameters.
  Returns:
    parameters of the report accordingly. The `vector` contains `RemoteParamInfo` objects.
  Throws:
    `java.rmi.RemoteException` - If communication-related error occurs during RMI call execution or not.
  See Also:
    `RemoteParamInfo`

### getParamInfosByParam

    java.util.Vector getParamInfosByParam(java.lang.String paramName,
                                          java.lang.String value,
                                          java.lang.String paramEngineId,
                                          int status)
                                          throws java.rmi.RemoteException

  Returns parameters of the report according to the name and the value of the specified parameter. If the value is null, it applies the default value of the specified parameter. If the name is null, the method will return all first level parameters. If there are no other parameters depending on the specified parameter, the method will return all first level parameters. Otherwise it will return all parameters that depend on the specified parameter.

  Parameters:
    `paramName` - The parameter name.
    `value` - The value of the parameter.
    `paramEngineId` - The ID of engine which generates parameters.
    `status` - The status of reports, which can be `APIConst.RPT_STATUS_CURRENT, APIConst.RPT_STATUS_OPEN` and `APIConst.RPT_STATUS_ALL`.
  Returns:
    parameters of the report accordingly. The `vector` contains `ParamInfo` objects.
  Throws:
    `RptServerException` - If a RptServerException occurs or not.
    `RptServerException`
    `java.rmi.RemoteException`

### getParamInfosByValue

    java.util.Vector getParamInfosByValue(java.lang.String paramName,
                                          java.lang.String value,
                                          java.lang.String paramEngineId)
                                          throws java.rmi.RemoteException

  Returns parameters of the report according to the name and value of the specified parameter. If the value is null, it applies the default value of the specified parameter, then using the name and value it will return all parameters that depend on the specified parameter according to the values.
  If the name is null, the method will return null.

  Parameters:
    `paramName` - The parameter name.
    `value` - The value of the parameter.
    `paramEngineId` - The ID of engine which generates parameters.
  Returns:
    parameters of the report accordingly. The `vector` contains `RemoteParamInfo` objects.
  Throws:
    `java.rmi.RemoteException` - If communication-related error occurs during RMI call execution or not.
  See Also:
    `RemoteParamInfo`

### getParamInfosByValue

    java.util.Vector getParamInfosByValue(java.lang.String paramName,
                                          java.lang.String value,
                                          java.lang.String paramEngineId,
                                          int status)
                                          throws java.rmi.RemoteException

  Returns parameters of the report according to the name and value of the specified parameter. If the value is null, it applies the default value of the specified parameter, then using the name and value it will return all parameters that depend on the specified parameter according to the values.
  If the name is null, the method will return null.

  Parameters:
    `paramName` - The parameter name.
    `value` - The value of the parameter.
    `paramEngineId` - The ID of engine which generates parameters.
    `status` -
  Returns:
    parameters of the report accordingly. The `vector` contains `RemoteParamInfo` objects.
  Throws:
    `java.rmi.RemoteException` - If communication-related error occurs during RMI call execution or not.
  See Also:
    `RemoteParamInfo`

### getParamInfosByValue

    java.util.Vector getParamInfosByValue(java.lang.String paramName,
                                          java.lang.String[] values,
                                          java.lang.String paramEngineId,
                                          int status)
                                          throws java.rmi.RemoteException

  Returns parameters of the report according to the name and value of the specified parameter. If the values are null, it applies the default values of the specified parameter, then using the name and values it will return all parameters that depend on the specified parameter according to the values.
  If the name is null, the method will return null.

  Parameters:
    `paramName` - The parameter name.
    `values` - The values of the parameter.
    `paramEngineId` - The ID of engine which generates parameters.
    `status` -
  Returns:
    parameters of the report accordingly. The vector contains `RemoteParamInfo` objects.
  Throws:
    `java.rmi.RemoteException` - If communication-related error occurs during RMI call execution or not.
  See Also:
    `RemoteParamInfo`

### hasReportParam

    boolean hasReportParam()
                           throws java.rmi.RemoteException

  Deprecated. Needs to set The status of reports, which can be `APIConst.RPT_STATUS_CURRENT, APIConst.RPT_STATUS_OPEN` and `APIConst.RPT_STATUS_ALL`, or server will use `APIConst.RPT_STATUS_ALL` by default.

  Checks whether the report has parameters.

  Returns:
    whether the report has parameters.
  Throws:
    `java.rmi.RemoteException` - If communication-related error occurs during RMI call execution or not.

### hasReportParam

    boolean hasReportParam(int status)
                           throws java.rmi.RemoteException

  Checks whether any sheets in the report have parameters.

  Parameters:
    `status` - The status of reports, which can be `APIConst.RPT_STATUS_CURRENT, APIConst.RPT_STATUS_OPEN` and `APIConst.RPT_STATUS_ALL`.
  Returns:
    whether the report has parameters.
  Throws:
    `java.rmi.RemoteException` - If communication-related error occurs during RMI call execution or not.

### getSheetParamNames

    java.util.Map getSheetParamNames(int status)
                                     throws java.rmi.RemoteException

  Returns all sheets and their parameters relation Map.

  Parameters:
    `status` - The status of reports, which can be `APIConst.RPT_STATUS_CURRENT, APIConst.RPT_STATUS_OPEN` and `APIConst.RPT_STATUS_ALL`.
  Returns:
    Map key:sheet name,value: `Vector` of parameter name .
  Throws:
    `java.rmi.RemoteException`

### getCurrentReportSheet

    RemoteReportSheetInfo getCurrentReportSheet()
                                                throws java.rmi.RemoteException

  Deprecated. Needs to set The status of reports, which can be `APIConst.RPT_STATUS_CURRENT, APIConst.RPT_STATUS_OPEN` and `APIConst.RPT_STATUS_ALL`. Or else server will use `APIConst.RPT_STATUS_ALL` by default.

  Returns the current report sheet info.

  Returns:
    the current report sheet info.
  Throws:
    `java.rmi.RemoteException` - If communication-related error occurs during RMI call execution or not.

### getCurrentReportSheet

    RemoteReportSheetInfo getCurrentReportSheet(int status)
                                                throws java.rmi.RemoteException

  Returns the current report sheet info.

  Parameters:
    `status` - The status of reports, which can be `APIConst.RPT_STATUS_CURRENT, APIConst.RPT_STATUS_OPEN` and `APIConst.RPT_STATUS_ALL`.
  Returns:
    the current report sheet info.
  Throws:
    `java.rmi.RemoteException` - If communication-related error occurs during RMI call execution or not.

### getParamEngineId

    java.lang.String getParamEngineId()
                                      throws java.rmi.RemoteException

  Deprecated. Needs to set The status of reports, which can be `APIConst.RPT_STATUS_CURRENT, APIConst.RPT_STATUS_OPEN` and `APIConst.RPT_STATUS_ALL`. Or else server will use `APIConst.RPT_STATUS_ALL` by default.

  Returns the ID of engine which generates parameters.

  Returns:
    the ID of engine which generates parameters.
  Throws:
    `java.rmi.RemoteException` - If communication-related error occurs during RMI call execution or not.

### getParamEngineId

    java.lang.String getParamEngineId(int status)
                                      throws java.rmi.RemoteException

  Returns the ID of engine which generates parameters.

  Parameters:
    `status` - The status of reports, which can be `APIConst.RPT_STATUS_CURRENT, APIConst.RPT_STATUS_OPEN` and `APIConst.RPT_STATUS_ALL`.
  Returns:
    the ID of engine which generates parameters.
  Throws:
    `java.rmi.RemoteException` - If communication-related error occurs during RMI call execution or not.

### removeParamEngineById

    void removeParamEngineById(java.lang.String paramEngineId)
                               throws java.rmi.RemoteException

  Removes engine object according to the ID of engine which generates parameters.

  Parameters:
    `paramEngineId` - The ID of engine which generates parameters.
  Throws:
    `java.rmi.RemoteException` - If communication-related error occurs during RMI call execution or not.

### getAvailableGroupFields

    java.util.Vector getAvailableGroupFields()
                                             throws java.rmi.RemoteException

  Deprecated. You don't need to replace value options with available group fields when parameter is column.
  Example: You can comment out the line in getRptDescPage.jsp like

                                      //Vector grpCols = rptInfo.getAvailableGroupFields();

  And you have to modify the Java code in getRptDescPage.jsp from

       <%
                              if (desc.isColumn() && grpCols != null) {
       %>
                              <select name="<%= APIConst.TAG_PARAM_PREFIX + desc.getName()%>" size="1">
       <%               int sz1 = grpCols.size();
                              for (int i1 = 0; i1 < sz1; i1++) {
                                      String s = (String)grpCols.elementAt(i1);

  to become

       <%
                              if (desc.isColumn() ) {
       %>
                              <select name="<%= APIConst.TAG_PARAM_PREFIX + desc.getName()%>" size="1">
       <%               Vector v = desc.getValueOptions(Locale.getDefault());
                              int sz1 = v.size();
                              for (int i1 = 0; i1 < sz1; i1++) {
                                      String s = (String)v.elementAt(i1);

  Returns available group fields of the report.

  Returns:
    available group fields of the report. The `vector` contains names of available group field.
  Throws:
    `java.rmi.RemoteException` - If communication-related error occurs during RMI call execution or not.

### getOrderOfParams

    java.util.Vector getOrderOfParams()
                                      throws java.rmi.RemoteException

  Deprecated. Needs to set the status of reports, which can be `APIConst.RPT_STATUS_CURRENT, APIConst.RPT_STATUS_OPEN` and `APIConst.RPT_STATUS_ALL`. Or else server will use `APIConst.RPT_STATUS_ALL` by default.

  Returns the order of parameters in the report.

  Returns:
    order of parameters in the report. The `vector` contains parameter names in sequence.
  Throws:
    `java.rmi.RemoteException` - If communication-related error occurs during RMI call execution or not.

### getOrderOfParams

    java.util.Vector getOrderOfParams(int status)
                                      throws java.rmi.RemoteException

  Returns the order of parameters in the report.

  Parameters:
    `status` - The status of reports, which can be `APIConst.RPT_STATUS_CURRENT, APIConst.RPT_STATUS_OPEN` and `APIConst.RPT_STATUS_ALL`.
  Returns:
    order of parameters in the report. The `vector` contains parameter names in sequence.
  Throws:
    `java.rmi.RemoteException` - If communication-related error occurs during RMI call execution or not.

### getStyleGroupInfos

    java.util.Vector getStyleGroupInfos()
                                        throws java.rmi.RemoteException

  Deprecated. Needs to set the status of reports, which can be `APIConst.RPT_STATUS_CURRENT, APIConst.RPT_STATUS_OPEN` and `APIConst.RPT_STATUS_ALL`. Or else server will use `APIConst.RPT_STATUS_ALL` by default.

  Returns style group of the report.

  Returns:
    style group of the report. The `vector` contains style group names in sequence.
  Throws:
    `java.rmi.RemoteException` - If communication-related error occurs during RMI call execution or not.

### getStyleGroupInfos

    java.util.Vector getStyleGroupInfos(int status)
                                        throws java.rmi.RemoteException

  Returns style group of the report.

  Parameters:
    `status` - The status of reports, which can be `APIConst.RPT_STATUS_CURRENT, APIConst.RPT_STATUS_OPEN` and `APIConst.RPT_STATUS_ALL`.
  Returns:
    style group of the report. The `vector` contains style group names in sequence.
  Throws:
    `java.rmi.RemoteException` - If communication-related error occurs during RMI call execution or not.

### getBooleanColumns

    java.util.Vector getBooleanColumns()
                                       throws java.rmi.RemoteException

  Returns boolean value fields of the report.

  Returns:
    boolean value fields of the report. The `vector` contains boolean value field names.
  Throws:
    `java.rmi.RemoteException` - If communication-related error occurs during RMI call execution or not.

### getAvailableLanguages

    java.util.Vector getAvailableLanguages()
                                           throws java.rmi.RemoteException

  Deprecated. Need to set The status of reports, which can be `APIConst.RPT_STATUS_CURRENT, APIConst.RPT_STATUS_OPEN` and `APIConst.RPT_STATUS_ALL`. Or else server will use `APIConst.RPT_STATUS_ALL` by default.

  Gets all of the languages that are supported in the current report.

  Returns:
    all of the languages that are supported in the current report.
  Throws:
    `java.rmi.RemoteException` - If communication-related error occurs during RMI call execution or not.

### getAvailableLanguages

    java.util.Vector getAvailableLanguages(int status)
                                           throws java.rmi.RemoteException

  Gets all of the languages that are supported in the current report.

  Parameters:
    `status` - The status of reports, which can be `APIConst.RPT_STATUS_CURRENT, APIConst.RPT_STATUS_OPEN` and `APIConst.RPT_STATUS_ALL`.
  Returns:
    all of the languages that are supported in the current report.
  Throws:
    `java.rmi.RemoteException` - If communication-related error occurs during RMI call execution or not.

### hasPageSecurity

    boolean hasPageSecurity()
                            throws java.rmi.RemoteException

  Deprecated. Needs to set the status of reports, which can be `APIConst.RPT_STATUS_CURRENT, APIConst.RPT_STATUS_OPEN` and `APIConst.RPT_STATUS_ALL`. Or else server will use `APIConst.RPT_STATUS_ALL` by default.

  Checks if the report has page security.

  Returns:
    if the report has page security.
  Throws:
    `java.rmi.RemoteException` - If communication-related error occurs during RMI call execution or not.

### hasPageSecurity

    boolean hasPageSecurity(int status)
                            throws java.rmi.RemoteException

  Checks if the report has page security.

  Parameters:
    `status` - The status of reports, which can be `APIConst.RPT_STATUS_CURRENT, APIConst.RPT_STATUS_OPEN` and `APIConst.RPT_STATUS_ALL`.
  Returns:
    if the report has page security.
  Throws:
    `java.rmi.RemoteException` - If communication-related error occurs during RMI call execution or not.

### canExportDHTMLResult

    boolean canExportDHTMLResult()
                                 throws java.rmi.RemoteException

  Deprecated. Need to set The status of reports, which can be `APIConst.RPT_STATUS_CURRENT, APIConst.RPT_STATUS_OPEN` and `APIConst.RPT_STATUS_ALL`. Or else server will use `APIConst.RPT_STATUS_ALL` by default.

  Checks if the report can export to DHTML result(.rsd result), whose type of result can re-run as DHTML.

  Returns:
    true if the report can export to DHTML result.
  Throws:
    `java.rmi.RemoteException` - If communication-related error occurs during RMI call execution or not.

### canExportDHTMLResult

    boolean canExportDHTMLResult(int status)
                                 throws java.rmi.RemoteException

  Checks if the report can export to DHTML result(.rsd result), whose type of result can re-run as DHTML.

  Parameters:
    `status` - The status of reports, which can be `APIConst.RPT_STATUS_CURRENT, APIConst.RPT_STATUS_OPEN` and `APIConst.RPT_STATUS_ALL`.
  Returns:
    true if the report can export to DHTML result.
  Throws:
    `java.rmi.RemoteException` - If communication-related error occurs during RMI call execution or not.

### getDefaultStyleGroupName

    java.lang.String getDefaultStyleGroupName()
                                              throws java.rmi.RemoteException

  Deprecated. Needs to set the status of reports, which can be `APIConst.RPT_STATUS_CURRENT, APIConst.RPT_STATUS_OPEN` and `APIConst.RPT_STATUS_ALL`. Or else server will use `APIConst.RPT_STATUS_ALL` as default.

  Gets default style group name.

  Returns:
    default style group name.
  Throws:
    `java.rmi.RemoteException` - If communication-related error occurs during RMI call execution or not.

### getDefaultStyleGroupName

    java.lang.String getDefaultStyleGroupName(int status)
                                              throws java.rmi.RemoteException

  Gets default style group name.

  Parameters:
    `status` - The status of reports, which can be `APIConst.RPT_STATUS_CURRENT, APIConst.RPT_STATUS_OPEN` and `APIConst.RPT_STATUS_ALL`.
  Returns:
    default style group name.
  Throws:
    `java.rmi.RemoteException` - If communication-related error occurs during RMI call execution or not.

### getReportImageFiles

    java.util.Vector getReportImageFiles()
                                         throws java.rmi.RemoteException

  Gets image file names of a report.

  Returns:
    image file names.
  Throws:
    `RptServerException` - If communication-related error occurs during RMI call execution or not.
    `java.rmi.RemoteException`

### getReportFontFiles

    java.util.Vector getReportFontFiles()
                                        throws java.rmi.RemoteException

  Gets font file names of a report.

  Returns:
    font file names.
  Throws:
    `RptServerException` - If communication-related error occurs during RMI call execution or not.
    `java.rmi.RemoteException`

### getReportSubreports

    java.util.Vector getReportSubreports()
                                         throws java.rmi.RemoteException

  Gets subreport names of a report.

  Returns:
    subreport names.
  Throws:
    `RptServerException` - If communication-related error occurs during RMI call execution or not.
    `java.rmi.RemoteException`

### getAllDataSource

    java.lang.String[] getAllDataSource()
                                        throws java.rmi.RemoteException

  Deprecated. Need to set The status of reports, which can be `APIConst.RPT_STATUS_CURRENT, APIConst.RPT_STATUS_OPEN` and `APIConst.RPT_STATUS_ALL`. Or else server will use `APIConst.RPT_STATUS_ALL` by default.

  Gets all of the data source names used in a report.

  Returns:
    all data source names.
  Throws:
    `java.rmi.RemoteException` - If communication-related error occurs during RMI call execution or not.

### getAllDataSource

    java.lang.String[] getAllDataSource(int status)
                                        throws java.rmi.RemoteException

  Gets all of the data source names used in a report.

  Parameters:
    `status` - The status of reports, which can be `APIConst.RPT_STATUS_CURRENT, APIConst.RPT_STATUS_OPEN` and `APIConst.RPT_STATUS_ALL`.
  Returns:
    all data source names.
  Throws:
    `java.rmi.RemoteException` - If communication-related error occurs during RMI call execution or not.

### isPortletPreferred

    boolean isPortletPreferred()
                               throws RptServerException,
                                      java.rmi.RemoteException

  Checks if the report contains only one report sheet and if report sheet is portlet preferred.

  Returns:
    true if the report contains only one report sheet, and the report sheet is portlet preferred, otherwise return false.
  Throws:
    `RptServerException` - If a RptServerException occurs or not.
    `java.rmi.RemoteException` - If communication-related error occurs during RMI call execution or not.
  Since:
    version 9

### validateParameter

    java.lang.String validateParameter(int status,
                                       java.util.Properties taskProp)
                                       throws java.rmi.RemoteException

  Checks parameters validation.

  Parameters:
    `status` - The status of reports, which can be `APIConst.RPT_STATUS_CURRENT, APIConst.RPT_STATUS_OPEN` and `APIConst.RPT_STATUS_ALL`.
    `taskProp` - The `properties` of the task.
  Returns:
    if invalid Returns the reason(message) String, otherwise returns null.
  Throws:
    `java.rmi.RemoteException` - If communication-related error occurs during RMI call execution or not.

### getQueryInfos

    java.util.Vector<CRDInfoKey> getQueryInfos()
                                               throws java.rmi.RemoteException

  Returns all queries that are used in the report info.

  Returns:
    Hashtable which contains all queries used in the report info.
  Throws:
    `java.rmi.RemoteException` - If communication-related error occurs during RMI call execution or not.
  Since:
    V10
  See Also:
    `CRDInfoKey`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD